#right_slice{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    padding: 20px 5%;
    box-sizing: border-box;
}

#right_slice .contentti {
    padding: 25px 0px;
}

input[type="checkbox"],
input[type="radio"]{ display: none; }
#right_slice input[type="radio"]{ display:none; }

/*
#right_slice label {
    display:flex;
    width: auto;
    max-width: 140px;
    height:50px;
    line-height: 50px;
    align-items: center;
    justify-content: center;
    text-wrap:nowrap;
    border-radius: 100px;
    padding: 0px 22px;
    box-sizing: border-box;
    background-color:rgba(231,231,231,1.00)
}*/


#right_slice #lounaslista:before,
#right_slice #loadable_list:before,
#lounastuotteet:before {
    font-size: 28px;
    font-weight: 900;
    margin:25px auto 20px 0px;
    color: #1E1C1C;
}

#lounastuotteet:before{
    display: none;
    content: "Tuotelista";
    padding:0px 20px;
    box-sizing: border-box;
}

#right_slice #lounaslista:before{
    content: "Lounaskalenteri";
    display: none;
    padding:0px 20px;
    box-sizing: border-box;
}

#right_slice #loadable_list:before{
    content: attr(data-title);
}

#right_slice .week_wrap{
	display: flex;
	flex-direction: column;
	width: 100%;
	height: 45px;
	overflow: hidden;
	margin: 5px auto;
	background-color: rgba(239,239,239,1.00);
	border-radius: 12px;
	padding: 0px 0px;
	box-sizing: border-box;
	transition: all 0.2s;
}

#right_slice input[type="radio"]:checked + .week_wrap{
	height: auto;
}

#right_slice .week_wrap label {
	width: 100%;
	height:45px;
	padding:0px 15px;
	border-radius: 12px;
	box-sizing: border-box;
	color: rgba(46,44,44,1.00);
	background-color: rgba(219,219,219,1.00);
}

#right_slice .week_wrap label h5{
	width: 100%;
	height:auto;
	line-height: 45px;
	font-size: 17px;
	font-weight: 500;
	padding: 0;
	margin: 0;
}

.ruoka{
	display:none;
	width:100%;
	height: auto;
    flex-direction: column;
	background-color: rgba(222,220,220,1.00);
	margin: 0px auto;
	padding: 25px min(30px, 5%);
	box-sizing: border-box;
	border-radius: 12px;
    overflow-x: hidden;
    overflow-y: scroll;
    z-index: 1;
}


.ruoka a { display:inherit; }

.ruoka p{
	width:100%;
	font-size: 16px;
	line-height: 40px;
	font-weight: 400;
	padding: 0px;
	margin: 0px;
}

.ruoka button{
	min-width: inherit;
	white-space: nowrap;
}


#lounaslista{
	flex-direction: column;
	margin: 0px auto;
}

#vx3:checked ~ #right_slice #lounaslista { display:flex; }
#vx4:checked ~ #right_slice #loadable_list { display:flex; }

#lounaslista #weekselector {
	display: flex;
	width: 100%;
	height: auto;
    flex-direction: column;
	padding: 5px 7px;
    gap:4px 2px;
	box-sizing: border-box;
	background-color: rgba(231,228,228,0.0);
	border-radius: 15px;
	white-space: nowrap;
    overflow-x: hidden;
	overflow-y: auto;
}

#lounaslista #weekselector div {
	display: flex;
	width:100%;
	height:auto;
    flex-direction: row;
	align-items: center;
	justify-content: space-between;
	background-color:white;
	color:black;
    gap: 0px 10px;
    box-sizing: border-box;
	padding: 5px 25px;
	font-size: 16px;
	font-weight: 500;
	border-radius: 15px;
}

#lounaslista #weekselector div p.pvms,
#lounaslista #weekselector div p.viikko,
#lounaslista #weekselector div p.selite {
    display: flex;
    width:120px;
    height: auto;
    text-align: left;
    font-size: 18px;
}

#lounaslista #weekselector div p.selite {
    width: 100%;
}

#lounaslista #weekselector div:first-of-type p {
    font-size:20px;
    font-weight: 900;
    text-align: right;
}

#lounaslista #weekselector div button {
    margin: 0; 
    height:40px;
    line-height: 40px;
    padding: 0px 14px;
}

#right_slice #loadable_list .ma,
#right_slice #loadable_list .ti,
#right_slice #loadable_list .ke,
#right_slice #loadable_list .to,
#right_slice #loadable_list .pe,
#right_slice #loadable_list .la,
#right_slice #loadable_list .su{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap:0px 10px;
    margin:10px 0px;
    color:black;
    font-weight: 800;
}

#right_slice #loadable_list .ma:before,
#right_slice #loadable_list .ti:before,
#right_slice #loadable_list .ke:before,
#right_slice #loadable_list .to:before,
#right_slice #loadable_list .pe:before,
#right_slice #loadable_list .la:before,
#right_slice #loadable_list .su:before{
    display:flex;
    font-size: 20px;
    min-width: 100%;
    text-align: left;
    font-weight: 00;
    margin:10px auto 5px 0px;
}

#right_slice #loadable_list .ma:before{ content:"Maanantai"; }
#right_slice #loadable_list .ti:before{ content:"Tiistai"; }
#right_slice #loadable_list .ke:before{ content:"Keskiviikko"; }
#right_slice #loadable_list .to:before{ content:"Torstai"; }
#right_slice #loadable_list .pe:before{ content:"Perjantai"; }
#right_slice #loadable_list .la:before{ content:"Lauantai"; }
#right_slice #loadable_list .su:before{ content:"Sunnuntai"; }


#right_slice #loadable_list .ruokarivi{
	display: flex;
	position: relative;
	width: 100%;
	height: auto;
	flex-direction: row;
	line-height: 20px;
	font-weight: 400;
	margin: 1px 0px;
	box-sizing: border-box;
	border-radius: 25px;
    gap:0px 10px;
	background-color: rgba(251,251,251, 1.00);
	font-size: 12px;
	color:rgba(42,42,42,1.00);
	padding: 0px 25px;
    transition: all 0.2s;
}

#right_slice #loadable_list .ruokarivi div, 
#right_slice #loadable_list .ruokarivi p {
	display: flex;
	flex-direction: column;
	width: 100%;
	align-items: center;
	justify-content: center;
}

#right_slice #loadable_list .ruokarivi .ruokanimi,
#right_slice #loadable_list .ruokarivi .ruokakategoria,
#right_slice #loadable_list .ruokarivi .ruokaallergeenit{ 
	padding: 0px 0px;
	margin:0px 0px;
	width:100%;
	box-sizing: border-box;
	font-size: 15px;
	height: 50px;
	line-height: 50px;
}

#right_slice #loadable_list .ruokarivi .ruokanimi{ align-items: start; }
#right_slice #loadable_list .ruokarivi .ruokakategoria{ align-items: start; }
#right_slice #loadable_list .ruokarivi .allergeenit{ align-items: end; }
			
#right_slice #loadable_list .ruokarivi .paiva{ width:160px; }
#right_slice #loadable_list .ruokarivi .hinta{ width:200px; }
#right_slice #loadable_list .ruokarivi .allergeenit{ width:100px; }
#right_slice #loadable_list .ruokarivi img.morego{ width:40px; }

#right_slice #loadable_list .ruokarivi .paiva,
#right_slice #loadable_list .ruokarivi .hinta{ 
	align-items: start;
}

#lounastuotelista .ruokarivi .remove{
	display:flex;
	width:30px;
	height: 30px;
	margin-left: 20px;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

#lounastuotelista .ruokarivi .remove img{ 
    min-width:25px; 
    max-width: 25px; 
    height:auto; 
}

#ruoanlisain.ruoka {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: flex-start;
}

#loadable_list{
    display: none;
    flex-direction: column;
    width: 100%;
    gap:1px;
}

#ruoanlisain p {
	display: flex;
	align-items: center;
	font-size: 16px;
	line-height: 24px;
	font-weight: 600;
	padding: 0;
	color:black;
	margin: 0px;
}

#ruoanlisain select {
	-webkit-appearance:none;
	border:0;
	outline:none;
	font-size: 14px;
	line-height: 40px;
	font-weight: 300;
	padding: 0px 20px;
	border-radius: 12px;
	font-family: Arial;
	box-sizing: border-box;
	margin: 0;
}

.ruoka .addnewfood_wrap{
	display: flex;
    flex-direction: column;
	width: 100%;
	height:auto;
	padding: 15px;
}

#lounaslista input[type="radio"]{ display: none; }

#submenu_wrap{
	position: sticky;
	top:0px;
	display:flex;
	width:100%;
	height:auto;
	padding: 10px 0px;
	box-sizing: border-box;
	flex-direction: row;
	z-index: 987;
}

#submenu_wrap div,
#submenu_wrap label{
	width: auto;
	height:40px;
	line-height: 40px;
	font-size: 13px;
	font-weight: 500;
	padding: 0px 15px;
	border-radius: 25px;
	background-color: rgba(126,176,196,1.00);
	color:white;
	margin: 0px 2px;
	transition: all 0.5s;
}

#submenu_wrap label:hover{
	background-color: rgba(46,132,167,1.00);
	transform:scale(1.05);
}

.ruoka a { display:inherit; }

.ruoka p.paivamaara{
	font-size: 16px;
	line-height: 20px;
	font-weight: 800;
	padding: 0;
	margin: 10px auto;
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi{
	display: flex;
	position: relative;
	width: 100%;
	height: auto;
	flex-direction: row;
	line-height: 22px;
	font-weight: 400;
	margin: 4px 0px;
	box-sizing: border-box;
	border-radius: 7px;
	background-color: rgba(251,251,251, 1.00);
	font-size: 12px;
	color:rgba(42,42,42,1.00);
	padding: 5px 7px;
    transition: all 0.2s;
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi:hover{
	background-color:rgba(243,243,243,1.00);
    box-shadow: -1px 1px 2px rgba(82,82,82,0.85);
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .wra{
    display:flex;
    width:100%;
    height: auto;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap:2px;
    padding: 5px 0px;
    box-sizing: border-box;
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .wra .ruokanimi,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .wra .ruokakategoria,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .wra .lastuse,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .ruokaallergeenit,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .hinta_1,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .hinta_2,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .info_fi,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .info_en{ 
	display: flex;
	flex-direction: column;
	font-size: 15px;
	line-height: 22px;
	align-items: center;
	justify-content: center;
	width:auto;
    text-transform: capitalize;
	padding: 0px 10px;
	flex:1;
    text-wrap: nowrap;
	color:rgba(73,70,70,1.00);
	box-sizing: border-box;
	margin: 0px 0px;
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .wra .ruokanimi{
    font-size:22px;
    line-height: 25px;
    font-weight: 800;
}


#right_slice #lounastuotteet #lounastuotelista .ruokarivi .hinta_1{ max-width: 100px; align-items: start; font-weight: 600; }
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .hinta_2{ max-width: 100px; align-items: start; font-weight: 600; }
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .ruokaallergeenit{ max-width: 100px; align-items: end; }

#right_slice #lounastuotteet #lounastuotelista .ruokarivi label { margin:auto 0px; width: 35px; height:35px; }
#right_slice #lounastuotteet #lounastuotelista .ruokarivi label img {width: 35px; height:35px; }

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap2 { 
	display:none; 
	position: relative;
	width:250px;
	height: auto;
	max-height: 230px;
	overflow-x: hidden;
	overflow-y: auto;
	flex-direction: column;
	background-color: rgba(241,241,241,1.00);
	border-radius: 10px;
	padding: 10px;
	box-sizing: border-box;
	z-index: 345;
	box-shadow: -35px 35px 90px rgba(122,122,122,0.8), 0px 10px 25px rgba(22,22,22,0.7);
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi input[type="checkbox"]{ display: none; }
#right_slice #lounastuotteet #lounastuotelista .ruokarivi input[type="checkbox"]:checked + .subbtn_wrap,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi input[type="checkbox"]:checked + .subbtn_wrap2 { 
	position: absolute;
	top:25px;
	right:50px;
	display:flex;
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap label#close1,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap2 label#close2 { 
	position: sticky;
	top:5px;
	width:100%;
	height:42px;
	font-size: 15px;
	line-height: 42px;
	cursor: pointer;
	letter-spacing: 1px;
	font-weight: 800;
	text-transform: uppercase;
	margin:0px 0px 15px 0px;
	border-radius: 12px;
	background-color: rgba(205,11,18,1.00);
	color:white;
	text-align: center;
	}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap .btn,
#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap2 .btn{ 
	width: 100%;
	height:42px;
	line-height: 42px;
	background-color: white;
	color:black;
	font-size: 16px;
	margin: 2px 0px;
	padding: 0px 10px;
	box-sizing: border-box;
	border-radius: 5px;
	cursor: pointer;
	font-weight: 400;
	transition: all 0.2s;
}

#right_slice #lounastuotteet #lounastuotelista .ruokarivi .subbtn_wrap .btn:hover { 
	background-color:rgba(236,237,237,1.00);
	transform: scale(1.03);
}

.ruoka .ruoanlisain{
	display: block;
	width:100%;
	height: auto;
	margin: 15px auto;
}

.ruoka .ruoanlisain p {
	font-size: 14px;
	line-height: 16px;
	font-weight: 800;
	padding: 0;
	margin: 0;
}

#lisaauusi,
#muokkaatuotetta {
    display: none;
    position: fixed;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    top:0px;
    right:0px;
    width: 100%;
    height: 100vh;
    padding: 20px 5%;
    box-sizing: border-box;
    z-index: 5656;
    background-color: rgba(46,46,46,0.60);
    backdrop-filter:blur(5px);
}

#vx1:checked ~ #lisaauusi{ 
    display:flex;
}

#vx2:checked ~ #muokkaatuotetta{ 
    display:flex; 
}

#lisaauusi label,
#muokkaatuotetta label{
    position: absolute;
    top:20px;
    right:20px;
    width:55px;
    height:55px;
    margin: 20px auto;
    border-radius: 30px;
    background-image: url("https://cnt.ravintolat.online/imgs/close-circle.svg");
    background-size:45px 45px;
    background-repeat: no-repeat;
    background-position: center;
    background-color: rgba(244,244,244,1.00);
    color:white;
    box-shadow: 0px 0px 4px rgba(22,22,22,0.4);
    z-index: 55;
    box-sizing: border-box;
    padding: 0px 20px;
}

#lisaauusi .addnewfood_wrap,
#muokkaatuotetta .addnewfood_wrap{
	display: flex;
    flex-direction: column;
	width: 100%;
	height:auto;
    border-radius: 12px;
    z-index: 44;
    overflow-y:auto;
    box-shadow: 0px 1px 5px rgba(22,22,22,0.8);
	padding: 35px 20px;
	box-sizing: border-box;
    background-color:rgba(249,249,249,1.0);
}

#lisaauusi .addnewfood_wrap h4,
#muokkaatuotetta .addnewfood_wrap h4{
    font-size:25px;
    font-weight: 800;
    text-align: left;
    margin: 15px 0px;
    padding: 0px 20px 0px 20px;
    box-sizing: border-box;
}

#right_slice .contentti label {
    display: flex;
    width: auto;
    height: 42px;
    line-height: 42px;
    padding: 0px 20px;
    cursor: pointer;
    border-radius: 20px;
    color:black;
    font-weight: 600;
    box-shadow: inset 0px -12px 4px rgba(194,194,194,1.00);
    box-sizing: border-box;
    transition:all 0.2s;
    background-color:rgba(230,230,230,1.00);
}

#right_slice .contentti label:hover {
    box-shadow: inset 0px -20px 4px rgba(194,194,194,1.00);
    transform:scale(1.02);
}

#right_slice #lounastuotteet{
    display:none;
    flex-direction: column;
    width: 100%;
    height: auto;
    margin:0px 0px 20px 0px;
	background-color: rgba(222,220,220,1.00);
    padding: 0px;
	border-radius: 12px;
    box-sizing: border-box;
}

#vx5:checked ~ #right_slice #lounastuotteet { display:flex; }

#right_slice #lounastuotteet #haku{
    display: flex;
    width: 100%;
    height:auto;
    align-items: center;
    justify-content: center;
    margin: 12px auto;
    padding: 0px 20px;
    box-sizing: border-box;
}

#right_slice #lounastuotteet #haku select {
    display: inline-block;
    width: auto;
    height: 45px;
    line-height: 45px;
    padding: 0px 25px;
    background-color: #89D2F2;
    color:white;
    border-radius: 25px;
    font-size: 15px;
    font-weight: 500;
    outline: none;
    border:0;
    -webkit-appearance:none;
    box-sizing: border-box;
}

#right_slice #lounastuotteet #haku input {
    display: flex;
    width: 100%;
    height: 45px;
    line-height: 45px;
    padding: 0px 25px;
    background-color: #FFFFFF;
    border-radius: 25px;
    font-size: 15px;
    font-weight: 500;
    outline: none;
    border:0;
    -webkit-appearance:none;
    box-sizing: border-box;
}

#right_slice #lounastuotteet #lounastuotelista{
	display:flex;
	width:100%;
	height: auto;
    flex-direction: column;
	margin: 0px auto;
	padding: 0px 12px;
	box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: scroll;
    z-index: 1;
}

#lisaauusi .addnewfood_wrap .row,
#muokkaatuotetta .addnewfood_wrap .row{
    display:flex;
    width:100%;
    height:auto;
    margin:2px 0px;
}

#lisaauusi .addnewfood_wrap .row input[type="text"],
#lisaauusi .addnewfood_wrap .row input[type="number"],
#lisaauusi .addnewfood_wrap .row textarea,
#lisaauusi .addnewfood_wrap .row select,
#muokkaatuotetta .addnewfood_wrap .row input[type="text"],
#muokkaatuotetta .addnewfood_wrap .row input[type="number"],
#muokkaatuotetta .addnewfood_wrap .row textarea,
#muokkaatuotetta .addnewfood_wrap .row select{
	-webkit-appearance:none;
	background-color:rgba(219,219,219,1.00);
	color:rgba(75,74,74,1.00);
	border-radius: 35px;
	border:0;
	outline:none;
	width:100%;
	height:55px;
    line-height: 55px;
	padding:0px 25px;
    box-shadow: inset 0px -25px 6px rgba(192,192,192,1.0);
	margin:4px auto;
	box-sizing: border-box;
	font-size:15px;
}

#lisaauusi .addnewfood_wrap .row textarea,
#muokaatuotetta .addnewfood_wrap .row textarea{
	height: auto;
	min-height: 55px;
	padding: 12px 20px;
	box-sizing: border-box;
}
